# Retrieve worker resignations

GET https://api.letsdeel.com/rest/v2/eor/workers/resignations

Use this endpoint to retrieve resignations submitted by Employer of Record (EOR) workers. Use it when you need to review resignation progress, confirm desired and confirmed end dates, and access resignation letter details. Filter results by resignation letter status using the query parameter
 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-offboarding/get-employee-resignations

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/workers/resignations:
    get:
      operationId: get-employee-resignations
      summary: Retrieve worker resignations
      description: >-
        Use this endpoint to retrieve resignations submitted by Employer of
        Record (EOR) workers. Use it when you need to review resignation
        progress, confirm desired and confirmed end dates, and access
        resignation letter details. Filter results by resignation letter status
        using the query parameter
         **Token scopes**: `worker:read`
      tags:
        - subpackage_eorWorkerOffboarding
      parameters:
        - name: status
          in: query
          description: Filter by resignation letter status
          required: false
          schema:
            $ref: '#/components/schemas/EorWorkersResignationsGetParametersStatus'
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-worker-offboarding_getEmployeeResignations_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveWorkerResignationsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveWorkerResignationsRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveWorkerResignationsRequestForbiddenError
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveWorkerResignationsRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorWorkersResignationsGetParametersStatus:
      type: string
      enum:
        - AWAITING_SIGNATURE
        - SIGNED
      title: EorWorkersResignationsGetParametersStatus
    EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsStatus:
      type: string
      enum:
        - COMPLETED
        - AWAITING_REFUND
        - PROCESSING
        - AWAITING_TRIAGE
        - AWAITING_PROCESSING
        - CANCELLED
        - AWAITING_PTO
      description: The status of the resignation
      title: >-
        EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsStatus
    EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetterStatus:
      type: string
      enum:
        - AWAITING_SIGNATURE
        - SIGNED
      description: The status of the resignation letter
      title: >-
        EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetterStatus
    EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetter:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the resignation letter
        status:
          $ref: >-
            #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetterStatus
          description: The status of the resignation letter
        signature:
          type:
            - string
            - 'null'
          description: The signature of the resignation letter
        signed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time the resignation letter was signed
        created_at:
          type: string
          format: date-time
          description: The date and time the resignation letter was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the resignation letter was updated
      required:
        - id
        - status
        - signature
        - signed_at
        - created_at
        - updated_at
      title: >-
        EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetter
    EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the resignation
        status:
          $ref: >-
            #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsStatus
          description: The status of the resignation
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The confirmed end date of the resignation
        created_at:
          type: string
          format: date-time
          description: The date and time the resignation was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the resignation was updated
        contract_id:
          type: string
          description: The unique identifier of the employee contract.
        desired_end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The desired end date of the resignation
        resignation_letter:
          oneOf:
            - $ref: >-
                #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItemsResignationLetter
            - type: 'null'
      required:
        - id
        - status
        - end_date
        - created_at
        - updated_at
        - contract_id
        - desired_end_date
        - resignation_letter
      title: EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItems
    eor-worker-offboarding_getEmployeeResignations_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaDataItems
      required:
        - data
      title: eor-worker-offboarding_getEmployeeResignations_Response_200
    EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where error occurred (null for server errors)
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems
    RetrieveWorkerResignationsRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveWorkerResignationsRequestBadRequestError
    RetrieveWorkerResignationsRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveWorkerResignationsRequestUnauthorizedError
    RetrieveWorkerResignationsRequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveWorkerResignationsRequestForbiddenError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    RetrieveWorkerResignationsRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersResignationsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveWorkerResignationsRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/workers/resignations"

querystring = {"status":"AWAITING_SIGNATURE"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/workers/resignations?status=AWAITING_SIGNATURE")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```